1

I have an Asus Transformer TF101 that is running Android 4.0.3.

The tablet can connect websites in HTTP without issue but not in HTTPS. Most HTTPS websites are totally unreachable. Some websites (from large institutions) are reachable after accepting several certificat issues warnings, but display badly. The clock of the tablet was set correctly.

I assume the issue has to see with how the tablet is able to deal with certificates, and also with its aging native Internet browser (which is not apparently not Chrome).

I unsuccessfully attempted upgrading the tablet firmware, but got an error message "Internet connection error or server busy. Please wait and try again". I assume this issue could be caused by disabled upgrade server and/or SSL certificate issues.

Is there still a way to upgrade such a tablet, preferably without jailbreaking it?

1
  • For surfing the web try different browsers. For example: Via Browser and etc. Also if you can root/jailbreak it, you could give some a bit newer Android versions a try. Like Android 4.4.2 works fine for surfing the web(a lot of browsers stopped supporting it, but Via Browser works fine.)
    – 3060PlayZ
    Commented Jun 30, 2022 at 15:02

2 Answers 2

1

Yes, it is possible. Jailbreak to get root rights needed. Enthusiasts do wonders. A minute of searching DevicseName ROM/image/firmware and we have a range of many variants. The maximum Android 6 for Asus TF101 was found. Visit XDA forum for install manuals and image download. https://forum.xda-developers.com/t/rom-mm-6-0-1-katkiss-katshmallow-034-multiwindow.3318496/ Source Code: https://github.com/timduru/android_device_asus_tf701t

0

No there is no way to upgrade such an old tablet. For your tablet Android 4.0.3 is already the latest update. It was released with Android 3.0 (Honeycomb) and got upgrades to 3.2 and later 4.0. Therefore there is no other update possible, especially if you exclude jailbreaking/rooting and thus custom ROMs.

Android 4.0 only supports TLS1.0 but more and more servers now require pure TLS 1.1 or even TLS 1.2 that is the reason your network connections no longer work.

Additionally Android 4 comes with outdated CA certificate list. The CA list may be updateable by manually installing all the missing root CA certificates (as far as I remember on Android 4 this require to set a device password).

The only alternative would be a web browser that has a built-in trusted root CA list like Firefox, but Firefox requires at least Android 5+.

Upgrading to a newer Android version also doesn't make much sense as the hardware is pretty weak (1GB RAM for a tablet is very low).

So there is only one really working answer: Your tablet is more than 11 years old, replace it with one that is newer.

1
  • Thank you Robert the clear and detailed answer. The tablet was almost not used and could still be used for offline tasks (e.g. teaching apps). I always prefer not jailbreaking when there are regular updates, but I don't exclude jailbreaking if the only way to upgrade.
    – OuzoPower
    Commented Sep 29, 2022 at 15:26

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .